/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomProgressEvent_H__
#define __GdomProgressEvent_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomEvent.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomProgressEvent GdomProgressEvent;
typedef struct _GdomProgressEventClass GdomProgressEventClass;


#define GDOM_TYPE_PROGRESS_EVENT            (gdom_progress_event_get_type())
#define GDOM_PROGRESS_EVENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_PROGRESS_EVENT, GdomProgressEvent))
#define GDOM_PROGRESS_EVENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_PROGRESS_EVENT, GdomProgressEvent)Class)
#define GDOM_IS_PROGRESS_EVENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_PROGRESS_EVENT))
#define GDOM_IS_PROGRESS_EVENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_PROGRESS_EVENT))
#define GDOM_PROGRESS_EVENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_PROGRESS_EVENT, GdomProgressEventClass))

typedef struct _GdomProgressEventPrivate GdomProgressEventPrivate;

struct _GdomProgressEvent {
    GdomEvent parent_instance;
    GdomProgressEventPrivate *priv;
};

struct _GdomProgressEventClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_progress_event_get_type (void);

WEBKIT_API void
gdom_progress_event_init_progress_event (GdomProgressEvent *thiz, gchar * type_arg, gboolean can_bubble_arg, gboolean cancelable_arg, gboolean length_computable_arg, gulong loaded_arg, gulong total_arg);

G_END_DECLS

#endif /* __GdomProgressEvent_H__ */
